## cong-editor-node-entity-decl

cong-editor-node-entity-decl —

## Synopsis

    #define     CONG_EDITOR_NODE_ENTITY_DECL    (obj)
    #define     CONG_EDITOR_NODE_ENTITY_DECL_CLASS(klass)
    #define     IS_CONG_EDITOR_NODE_ENTITY_DECL (obj)
    GType       cong_editor_node_entity_decl_get_type
                                                (void);
    CongEditorNodeEntityDecl* cong_editor_node_entity_decl_construct
                                                (CongEditorNodeEntityDecl *editor_node_entity_decl,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_entity_decl_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

## Description

## Details

### CONG_EDITOR_NODE_ENTITY_DECL()

    #define CONG_EDITOR_NODE_ENTITY_DECL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_ENTITY_DECL_TYPE, CongEditorNodeEntityDecl)

`obj` : |

### CONG_EDITOR_NODE_ENTITY_DECL_CLASS()

    #define CONG_EDITOR_NODE_ENTITY_DECL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_ENTITY_DECL_TYPE, CongEditorNodeEntityDeclClass)

`klass` : |

### IS_CONG_EDITOR_NODE_ENTITY_DECL()

    #define IS_CONG_EDITOR_NODE_ENTITY_DECL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_ENTITY_DECL_TYPE)

`obj` : |

### cong_editor_node_entity_decl_get_type ()

    GType       cong_editor_node_entity_decl_get_type
                                                (void);

Returns : |

### cong_editor_node_entity_decl_construct ()

    CongEditorNodeEntityDecl* cong_editor_node_entity_decl_construct
                                                (CongEditorNodeEntityDecl *editor_node_entity_decl,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node_entity_decl` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_entity_decl_new ()

    CongEditorNode* cong_editor_node_entity_decl_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |